
Figure - Bug #117090
【AF】【FW】收到QQ语音消息后，连续多次点击接听后提示QQ无响应，然后提示系统界面没响应
2023-03-22 17:27 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-03-22

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Free Test Root cause: 音频链路因设计问题 已修改

Description

【测试步骤】

收到QQ语音消息，连续点击多次接听

【预期结果】

可正常接听QQ语音消息

【测试结果】

提示QQ无响应，然后提示系统界面没响应

Related issues:

Related to Figure - Bug # 116843: 【AF】【EVT】【AUDIO】副屏电话会议时... CLOSED 2023-03-09

History

#1 - 2023-03-23 11:05 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 物联网测试组_CDTS  唐霞 

- Need_Info changed from -- to TEST

Hi 唐霞

■ 我的分析

根据下列日志，该问题与116438原因一致

---------------------

03-22 02:49:38.741 11032 11032 F DEBUG   : * 

03-22 02:49:38.741 11032 11032 F DEBUG   : Build fingerprint: 'TC/figure_CN/figure:12/SKQ1.220201.001/2563:user/test-keys'

03-22 02:49:38.741 11032 11032 F DEBUG   : Revision: '0'

03-22 02:49:38.741 11032 11032 F DEBUG   : ABI: 'arm'

03-22 02:49:38.741 11032 11032 F DEBUG   : Timestamp: 2023-03-22 02:49:38.695553405+0800

03-22 02:49:38.741 11032 11032 F DEBUG   : Process uptime: 0s

03-22 02:49:38.741 11032 11032 F DEBUG   : Cmdline: /vendor/bin/hw/android.hardware.audio.service

03-22 02:49:38.741 11032 11032 F DEBUG   : pid: 796, tid: 796, name: audio.service  >>> /vendor/bin/hw/android.hardware.audio.service <<<

03-22 02:49:38.741 11032 11032 F DEBUG   : uid: 1041

03-22 02:49:38.741 11032 11032 F DEBUG   : signal 35 (<debuggerd signal>), code 1 (SI_QUEUE from pid 908, uid 1041), fault addr -------

03-22 02:49:38.741 11032 11032 F DEBUG   :     r0  00000004  r1  c0306201  r2  ffa507b8  r3  ffa5070c

03-22 02:49:38.741 11032 11032 F DEBUG   :     r4  3367d830  r5  eaa97138  r6  ffa507b8  r7  00000036

03-22 02:49:38.741 11032 11032 F DEBUG   :     r8  00000000  r9  e9ec3ae4  r10 ffa507c8  r11 ffa507b8

03-22 02:49:38.741 11032 11032 F DEBUG   :     ip  00000100  sp  ffa506f0  lr  eaa452cb  pc  eaa775a8

03-22 02:49:38.741 11032 11032 F DEBUG   : backtrace:

03-22 02:49:38.741 11032 11032 F DEBUG   :       #00 pc 000715a8  /apex/com.android.runtime/lib/bionic/libc.so (_ioctl+8) (BuildId: cc194ef76ee932851b23cc2e4f46d55f)
03-22 02:49:38.741 11032 11032 F DEBUG   :       #01 pc 0003f2c7  /apex/com.android.runtime/lib/bionic/libc.so (ioctl+26) (BuildId: cc194ef76ee932851b23cc2e4f46d55f)

03-22 02:49:38.741 11032 11032 F DEBUG   :       #02 pc 0005ff09  /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::IPCThreadState::getAndExecuteCommand()+160) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

03-22 02:49:38.741 11032 11032 F DEBUG   :       #03 pc 0006100d  /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::IPCThreadState::joinThreadPool(bool)+56) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

03-22 02:49:38.741 11032 11032 F DEBUG   :       #04 pc 000026b5  /vendor/bin/hw/android.hardware.audio.service (main+2564) (BuildId:

b5ba2845ffd2ad1c80c85239344b8c71)

03-22 02:49:38.741 11032 11032 F DEBUG   :       #05 pc 0003248b  /apex/com.android.runtime/lib/bionic/libc.so (_libc_init+54) (BuildId:

cc194ef76ee932851b23cc2e4f46d55f)

01-02 05:28:52.997     0     0 I init    : Untracked pid 11032 exited with status 0

01-02 05:28:52.998     0     0 I init    : Untracked pid 11034 exited with status 0

03-22 02:49:39.679   908  1331 F libc    : Fatal signal 6 (SIGABRT), code 1 (SI_QUEUE) in tid 1331 (TimeCheckThread), pid 908 (audioserver)

03-22 02:49:39.904 11038 11038 F DEBUG   : 

03-22 02:49:39.904 11038 11038 F DEBUG   : Build fingerprint: 'TC/figure_CN/figure:12/SKQ1.220201.001/2563:user/test-keys'

03-22 02:49:39.904 11038 11038 F DEBUG   : Revision: '0'

03-22 02:49:39.904 11038 11038 F DEBUG   : ABI: 'arm64'

03-22 02:49:39.904 11038 11038 F DEBUG   : Timestamp: 2023-03-22 02:49:39.709772155+0800

03-22 02:49:39.904 11038 11038 F DEBUG   : Process uptime: 0s

03-22 02:49:39.904 11038 11038 F DEBUG   : Cmdline: /system/bin/audioserver

03-22 02:49:39.904 11038 11038 F DEBUG   : pid: 908, tid: 1331, name: TimeCheckThread  >>> /system/bin/audioserver <<<

03-22 02:49:39.904 11038 11038 F DEBUG   : uid: 1041

03-22 02:49:39.904 11038 11038 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr -------

03-22 02:49:39.904 11038 11038 F DEBUG   : Abort message: 'TimeCheck timeout for IAudioPolicyService command 5'

03-22 02:49:39.904 11038 11038 F DEBUG   :     x0  0000000000000000  x1  0000000000000533  x2  0000000000000006  x3  00000076f258b530

03-22 02:49:39.904 11038 11038 F DEBUG   :     x4  686b6e4f6e686374  x5  686b6e4f6e686374  x6  686b6e4f6e686374  x7  7f7f7f7f7f7f7f7f

03-22 02:49:39.904 11038 11038 F DEBUG   :     x8  00000000000000f0  x9  662bca23c8f9114d  x10 0000000000000000  x11 ffffff80ffffffdf

03-22 02:49:39.904 11038 11038 F DEBUG   :     x12 0000000000000001  x13 0000000000000034  x14 00000076f258b6c0  x15 0000000034155555

03-22 02:49:39.904 11038 11038 F DEBUG   :     x16 0000007a18729060  x17 0000007a18705560  x18 00000076f1f9c000  x19 000000000000038c

03-22 02:49:39.904 11038 11038 F DEBUG   :     x20 0000000000000533  x21 00000000ffffffff  x22 b4000077383c4e50  x23 b4000077183b1b14

03-22 02:49:39.904 11038 11038 F DEBUG   :     x24 b4000077183b1b14  x25 00000076f258bcb0  x26 00000076f258bff8  x27 00000000000fc000

03-22 02:49:39.904 11038 11038 F DEBUG   :     x28 00000076f2493000  x29 00000076f258b5b0

03-22 02:49:39.904 11038 11038 F DEBUG   :     lr  0000007a186b595c  sp  00000076f258b510  pc  0000007a186b5988  pst 0000000000001000

03-22 02:49:39.904 11038 11038 F DEBUG   : backtrace:

03-22 02:49:39.904 11038 11038 F DEBUG   :       #00 pc 0000000000051988  /apex/com.android.runtime/lib64/bionic/libc.so (abort+168) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

03-22 02:49:39.904 11038 11038 F DEBUG   :       #01 pc 00000000000063b8  /system/lib64/liblog.so (_android_log_default_aborter+16) (BuildId:

467c2038cdfa767245f9280e657fdb85)

03-22 02:49:39.904 11038 11038 F DEBUG   :       #02 pc 0000000000006f14  /system/lib64/liblog.so (_android_log_assert+312) (BuildId:

467c2038cdfa767245f9280e657fdb85)

03-22 02:49:39.904 11038 11038 F DEBUG   :       #03 pc 0000000000035294  /system/lib64/libmediautils.so (android::TimeCheck::TimeCheckThread::threadLoop()+908)

(BuildId: d1ac2ddd5dabaddcca37691821970832)

03-22 02:49:39.904 11038 11038 F DEBUG   :       #04 pc 0000000000013654  /system/lib64/libutils.so (android::Thread::_threadLoop(void)+464) (BuildId:

b940f836006eead456c936e97e64d2d4)

03-22 02:49:39.904 11038 11038 F DEBUG   :       #05 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

03-22 02:49:39.904 11038 11038 F DEBUG   :       #06 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

03-22 02:49:39.904 11038 11038 F DEBUG   :       #07 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

五秒后ANR

03-22 02:49:45.057  1180 11061 E ActivityManager: ANR in com.tencent.mobileqq:video (com.tencent.mobileqq/com.tencent.av.ui.AVActivity)

03-22 02:49:45.057  1180 11061 E ActivityManager: PID: 10740
03-22 02:49:45.057  1180 11061 E ActivityManager: Reason: Input dispatching timed out (31e83b0 PopupWindow:2a322f5 (server) is not responding. Waited 5002ms for

MotionEvent)

03-22 02:49:45.057  1180 11061 E ActivityManager: Parent: com.tencent.mobileqq/com.tencent.av.ui.AVActivity

03-22 02:49:45.057  1180 11061 E ActivityManager: Frozen: false

03-22 02:49:45.057  1180 11061 E ActivityManager: Load: 2.04 / 1.54 / 0.82

03-22 02:49:45.057  1180 11061 E ActivityManager: ----- Output from /proc/pressure/memory -----

03-22 02:49:45.057  1180 11061 E ActivityManager: some avg10=0.00 avg60=0.00 avg300=0.00 total=366385

03-22 02:49:45.057  1180 11061 E ActivityManager: full avg10=0.00 avg60=0.00 avg300=0.00 total=91758

03-22 02:49:45.057  1180 11061 E ActivityManager: ----- End output from /proc/pressure/memory -----

03-22 02:49:45.057  1180 11061 E ActivityManager: 

03-22 02:49:45.057  1180 11061 E ActivityManager: CPU usage from 192776ms to 0ms ago (2023-03-22 02:46:27.361 to 2023-03-22 02:49:40.137):

03-22 02:49:45.057  1180 11061 E ActivityManager:   18% 7495/com.tencent.qqmusic: 14% user + 3.9% kernel / faults: 306284 minor 3 major

03-22 02:49:45.057  1180 11061 E ActivityManager:   12% 835/vendor.qti.hardware.display.composer-service: 7.5% user + 4.5% kernel / faults: 400 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   10% 2413/com.android.settings: 8% user + 2.2% kernel / faults: 205449 minor 25 major

03-22 02:49:45.057  1180 11061 E ActivityManager:   9.2% 920/surfaceflinger: 6.1% user + 3% kernel / faults: 1567 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   9.1% 1180/system_server: 6% user + 3% kernel / faults: 287608 minor 2 major

03-22 02:49:45.057  1180 11061 E ActivityManager:   8.4% 4544/com.tencent.mm: 7.2% user + 1.1% kernel / faults: 102837 minor 1 major

03-22 02:49:45.057  1180 11061 E ActivityManager:   5.8% 7677/com.tencent.qqmusic:QQPlayerService: 4.2% user + 1.6% kernel / faults: 52998 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   2.9% 2002/com.android.systemui: 2.4% user + 0.5% kernel / faults: 48191 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   2.2% 1219/cnss_diag: 1.7% user + 0.4% kernel

03-22 02:49:45.057  1180 11061 E ActivityManager:   2% 4842/com.tencent.mm:push: 1.6% user + 0.4% kernel / faults: 33459 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   1.5% 2569/com.android.launcher3: 1.2% user + 0.3% kernel / faults: 38680 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   1.4% 503/logd: 0.3% user + 1.1% kernel / faults: 744 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   1.4% 3178/com.tencent.mobileqq:MSF: 1.1% user + 0.3% kernel / faults: 18423 minor 1 major

03-22 02:49:45.057  1180 11061 E ActivityManager:   1.4% 3664/com.tencent.mobileqq: 1% user + 0.3% kernel / faults: 22657 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   1% 333/kworker/u16:12-kverityd: 0% user + 1% kernel

03-22 02:49:45.057  1180 11061 E ActivityManager:   1% 3229/com.tencent.android.qqdownloader:daemon: 0.4% user + 0.5% kernel / faults: 7312 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   0.9% 731/crtc_commit:125: 0% user + 0.9% kernel

03-22 02:49:45.057  1180 11061 E ActivityManager:   0.7% 2883/com.hht.lebocast: 0.5% user + 0.2% kernel / faults: 1751 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   0.7% 470/kworker/u16:17-qmi_msg_handler: 0% user + 0.7% kernel

03-22 02:49:45.057  1180 11061 E ActivityManager:   0.6% 829/android.hardware.wifi@1.0-service: 0.3% user + 0.2% kernel / faults: 5833 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   0.6% 1238/tlog: 0.3% user + 0.2% kernel / faults: 71 minor

03-22 02:49:45.057  1180 11061 E ActivityManager:   0.5% 3437/dp_rx_thread_0: 0% user + 0.5% kernel

03-22 02:49:45.057  1180 11061 E ActivityManager:   0.5% 3127/com.tencent.android.qqdownloader: 0.3% user + 0.1% kernel / faults: 1962 minor

---------------------

■ 下一步解析计划

请确认是否需要链接中控测试

#2 - 2023-03-23 15:01 - CDTS_TEST 王成

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD Test赵飞

连接中控后再次查看

#3 - 2023-03-27 11:03 - CD Test赵飞

- File logcat.txt added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD Test赵飞 to CD FW 曹覃刚
连接中控测试，仍然会出现“QQ没有响应”的异常

Log见附件

#4 - 2023-03-27 16:14 - 移动测试一组_CDTS 刘强

- Assignee changed from CD FW 曹覃刚 to CD BSP-唐金泽

根据RD分析，https://share.thundersoft.com/redmine/issues/116438 与是一样的

#5 - 2023-03-31 18:24 - CD BSP-唐金泽

- Category changed from CD-FW to AUDIO-FW

#6 - 2023-04-03 14:28 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【FW】收到QQ语音消息后，连续多次点击接听后提示QQ无响应，然后提示系统界面没响应 to 【AF】【FW】收到QQ语音消息后

，连续多次点击接听后提示QQ无响应，然后提示系统界面没响应

#7 - 2023-04-03 15:42 - CD BSP-唐金泽

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD BSP-唐金泽 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

- Root cause set to 音频链路因设计问题 已修改

请使用2023-04-03后的DB进行测试

#8 - 2023-04-06 18:00 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

在没有连接台架的设备上仍存在，连接台架测试该问题无法复现

#9 - 2023-04-06 18:01 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0089.C102

#10 - 2023-04-06 18:01 - 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

Files

322og 5.54 MB 2023-03-22 物联网测试组_CDTS  唐霞 

系统界面无响应.mp4 12.5 MB 2023-03-22 物联网测试组_CDTS  唐霞 

logcat.txt 11.7 MB 2023-03-27 CD Test赵飞
